INSTALL.in 1.22 KB
Newer Older
1 2 3
Prerequisites
=============

Owen Taylor's avatar
Owen Taylor committed
4 5
GTK+ requires the following packages:

6 7
 - The GLib, Pango, GdkPixbuf, ATK and cairo libraries, available at
   the same location as GTK+. GTK+ @GTK_VERSION@ requires at least
8 9 10
   GLib @GLIB_REQUIRED_VERSION@, Pango @PANGO_REQUIRED_VERSION@,
   GdkPixbuf @GDK_PIXBUF_REQUIRED_VERSION@, ATK @ATK_REQUIRED_VERSION@
   and cairo @CAIRO_REQUIRED_VERSION@.
Owen Taylor's avatar
Owen Taylor committed
11

12 13 14 15
 - Each GDK backend has its own backend-specific requirements. For
   the X11 backend, X11 R6 and XInput version 2 (as well as a number
   of other extensions) are required.

16
 - gobject-introspection @INTROSPECTION_REQUIRED_VERSION@ or newer.
17

18 19 20
Simple install procedure
========================

21 22 23 24
  % tar xf gtk+-@GTK_VERSION@.tar.xz   # unpack the sources
  % cd gtk+-@GTK_VERSION@              # change to the toplevel directory
  % ./configure                        # run the `configure' script
  % make                               # build GTK+
25
  [ Become root if necessary ]
26
  % make install                       # install GTK+
27

28 29
The Details
===========
30

31 32
Complete information about installing GTK+ and related libraries
can be found in the file:
33

Matthias Clasen's avatar
Matthias Clasen committed
34
 docs/reference/gtk/html/gtk-building.html
35

36
Or online at:
37

38
 http://library.gnome.org/devel/gtk/stable/gtk-building.html